package com.ruoyi.system.domain;



import java.util.List;

public class ControllerData {
    public String timestamp;
    public String fleet_id;
    public String controller_id;
    public List<topics> topics;
    public List<topics> cmd_topics;
    public topics fault_prot;

    public com.ruoyi.system.domain.topics getFault_prot() {
        return fault_prot;
    }

    public void setFault_prot(com.ruoyi.system.domain.topics fault_prot) {
        this.fault_prot = fault_prot;
    }

    public List<com.ruoyi.system.domain.topics> getCmd_topics() {
        return cmd_topics;
    }

    public void setCmd_topics(List<com.ruoyi.system.domain.topics> cmd_topics) {
        this.cmd_topics = cmd_topics;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getFleet_id() {
        return fleet_id;
    }

    public void setFleet_id(String fleet_id) {
        this.fleet_id = fleet_id;
    }

    public String getController_id() {
        return controller_id;
    }

    public void setController_id(String controller_id) {
        this.controller_id = controller_id;
    }

    public List<com.ruoyi.system.domain.topics> getTopics() {
        return topics;
    }

    public void setTopics(List<com.ruoyi.system.domain.topics> topics) {
        this.topics = topics;
    }

}
